summaryrefslogtreecommitdiffstats
path: root/src/oh-strip.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2012-04-24 19:33:27 (EDT)
committer P. J. McDermott <pjm@nac.net>2012-04-24 19:33:27 (EDT)
commit63fa875896f8fc883580062180636c9f3b780330 (patch)
tree28e2a9729931298a284ce7d0444bdfb15da1bb1a /src/oh-strip.sh
parent4eba11e4d7a7bf9852a5b24cb7630d6d78da257b (diff)
Make oh-* tools consistently use message library.
Diffstat (limited to 'src/oh-strip.sh')
-rw-r--r--src/oh-strip.sh20
1 files changed, 8 insertions, 12 deletions
diff --git a/src/oh-strip.sh b/src/oh-strip.sh
index 6b8ceaf..adbf217 100644
--- a/src/oh-strip.sh
+++ b/src/oh-strip.sh
@@ -19,17 +19,13 @@
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
+. @@LIBDIR@@/opkhelper/messages
+
print_usage()
{
printf 'Usage: %s [-g] [-l] binaryfile...\n' "$1"
}
-error()
-{
- printf 'oh-strip: Error: %s\n' "${1}"
- exit 1
-}
-
opts=$(getopt -n "${0}" -o 'gl' -- "${@}")
if [ ${?} -ne 0 ]; then
print_usage "${0}" >&2
@@ -71,22 +67,22 @@ fi
# Iterate over object files.
while [ ${#} -gt 0 ]; do
- printf 'oh-strip: Stripping symbols from file "%s"...\n' "${1}"
+ oh_info 'Stripping symbols from file "%s"...' "${1}"
if ${make_dbg_obj}; then
# Copy debugging symbols into a debugging object file and add a GDB link
# from the original object file to the debugging object file.
mkdir -p "$(dirname "dest/usr/lib/debug/${1}")" || \
- error 'Cannot make directory path to debugging object'
+ oh_error 'Cannot make directory path to debugging object'
${OBJCOPY:-objcopy} --only-keep-debug --compress-debug-sections "dest/${1}" \
- "dest/usr/lib/debug/${1}" || error 'Cannot make debugging object'
+ "dest/usr/lib/debug/${1}" || oh_error 'Cannot make debugging object'
${OBJCOPY:-objcopy} --add-gnu-debuglink="dest/usr/lib/debug/${1}" "dest/${1}" || \
- error 'Cannot add GDB link'
+ oh_error 'Cannot add GDB link'
chmod 644 "dest/usr/lib/debug/${1}" || \
- error 'Cannot set mode on debugging object'
+ oh_error 'Cannot set mode on debugging object'
fi
# Strip the object file of symbols.
# TODO: If the file is not a library, strip it of all symbols.
- ${STRIP:-strip} -g "dest/${1}" || error 'Cannot strip object'
+ ${STRIP:-strip} -g "dest/${1}" || oh_error 'Cannot strip object'
shift
done